Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.jbotester
Class JBOFieldHelper

`java.lang.Object
oracle.jbo.jbotester.JBOFieldHelper`

All Implemented Interfaces:
  JBOField

public class JBOFieldHelper
extends java.lang.Object
implements JBOField

Field Summary
`static javax.swing.Action` | `CancelAction`
`protected boolean` | `inRefresh`
`protected Row` | `row`
`protected RowSetIterator` | `rowIter`
`static java.awt.event.ActionListener` | `UpdateActionListener`

Constructor Summary
`JBOFieldHelper(AttributeDef attDef, JBOField jboField)`

Method Summary
`boolean` | `applyEdit()`
`boolean` | `applyEditAndValidate()`
`AttributeDef` | `getAttributeDef()`
`java.lang.Object` | `getControlValue()`
`java.lang.Object` | `getDataValue()`
`javax.swing.JComponent` | `getJComponent()`
`LocaleContext` | `getLocaleContext()`
`static RowSetPanel` | `getRowSetPanel(javax.swing.JComponent j)` searches the containership hierarchy for a RowSetPanel, returns null if not found
`protected void` | `init()`
`void` | `refresh()`
`void` | `setControlValue(java.lang.Object value)`
`boolean` | `setDataValue(java.lang.Object value)`
`void` | `setRow(Row newRowBinding, RowSetIterator iter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### row

    protected Row row

### rowIter

    protected RowSetIterator rowIter

### inRefresh

    protected boolean inRefresh

### UpdateActionListener

    public static final java.awt.event.ActionListener UpdateActionListener

### CancelAction

    public static final javax.swing.Action CancelAction

Constructor Detail

### JBOFieldHelper

    public JBOFieldHelper(AttributeDef attDef,
                          JBOField jboField)

Method Detail

### init

    protected void init()

### setRow

    public void setRow(Row newRowBinding,
                       RowSetIterator iter)

  Specified by:
    `setRow` in interface `JBOField`

### getAttributeDef

    public AttributeDef getAttributeDef()

  Specified by:
    `getAttributeDef` in interface `JBOField`

### getDataValue

    public java.lang.Object getDataValue()

  Specified by:
    `getDataValue` in interface `JBOField`

### setDataValue

    public boolean setDataValue(java.lang.Object value)

  Specified by:
    `setDataValue` in interface `JBOField`

### getRowSetPanel

    public static RowSetPanel getRowSetPanel(javax.swing.JComponent j)

  searches the containership hierarchy for a RowSetPanel, returns null if not found

### getControlValue

    public java.lang.Object getControlValue()

  Specified by:
    `getControlValue` in interface `JBOField`

### setControlValue

    public void setControlValue(java.lang.Object value)

  Specified by:
    `setControlValue` in interface `JBOField`

### getJComponent

    public javax.swing.JComponent getJComponent()

  Specified by:
    `getJComponent` in interface `JBOField`

### getLocaleContext

    public LocaleContext getLocaleContext()

  Specified by:
    `getLocaleContext` in interface `JBOField`

### applyEdit

    public boolean applyEdit()

  Specified by:
    `applyEdit` in interface `JBOField`

### applyEditAndValidate

    public boolean applyEditAndValidate()

  Specified by:
    `applyEditAndValidate` in interface `JBOField`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `JBOField`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.